<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.6.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1registration_manager.html">registrationManager</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1registration_manager_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1test_1_1_mock_message_router.html">MockMessageRouter</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">alexaClientSDK::registrationManager::test::MockMessageRouter Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1test_1_1_mock_message_router.html">alexaClientSDK::registrationManager::test::MockMessageRouter</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router_interface.html#a2849c2688cfcc9c569f330cb3c2a38e4">ConnectionStatus</a> typedef</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router_interface.html">alexaClientSDK::acl::MessageRouterInterface</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router_interface.html#a4d518d138aebcc165a167b7704eff3b6">disable</a>()=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router_interface.html">alexaClientSDK::acl::MessageRouterInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a66df7916e28559f30233c2ff5a166293">doShutdown</a>()=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router_interface.html#ac0c1d4636d38bf80cd35531e702edfdf">enable</a>()=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router_interface.html">alexaClientSDK::acl::MessageRouterInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router_interface.html#a3c55bf036011137b6c67dc1ad2492e78">getConnectionStatus</a>()=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router_interface.html">alexaClientSDK::acl::MessageRouterInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#af9352626109735aba40b5fb310913355">isShutdown</a>() const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router_interface.html#a2933fb5847d1dc2d1bc44b11434b0aff">MessageRouterInterface</a>(const std::string &amp;name)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router_interface.html">alexaClientSDK::acl::MessageRouterInterface</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1test_1_1_mock_message_router.html#aa3a31f37835ae96767ab0e7c249ead9e">MOCK_METHOD0</a>(enable, void())</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1test_1_1_mock_message_router.html">alexaClientSDK::registrationManager::test::MockMessageRouter</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1test_1_1_mock_message_router.html#a9a4ecbc4d36087ff0159ace2e5d6230e">MOCK_METHOD0</a>(disable, void())</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1test_1_1_mock_message_router.html">alexaClientSDK::registrationManager::test::MockMessageRouter</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1test_1_1_mock_message_router.html#a7dd21d7203589efdedd46c2d3141d549">MOCK_METHOD0</a>(doShutdown, void())</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1test_1_1_mock_message_router.html">alexaClientSDK::registrationManager::test::MockMessageRouter</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1test_1_1_mock_message_router.html#add7c81730b47fef645d36501bd91e529">MOCK_METHOD0</a>(getConnectionStatus, acl::MessageRouterInterface::ConnectionStatus())</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1test_1_1_mock_message_router.html">alexaClientSDK::registrationManager::test::MockMessageRouter</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1test_1_1_mock_message_router.html#a0718e54249130938d2411f243cea234f">MOCK_METHOD1</a>(sendMessage, void(std::shared_ptr&lt; avsCommon::avs::MessageRequest &gt; request))</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1test_1_1_mock_message_router.html">alexaClientSDK::registrationManager::test::MockMessageRouter</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1test_1_1_mock_message_router.html#aef81e04d6090059c81cf20db6c9a1503">MOCK_METHOD1</a>(setAVSEndpoint, void(const std::string &amp;avsEndpoint))</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1test_1_1_mock_message_router.html">alexaClientSDK::registrationManager::test::MockMessageRouter</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1test_1_1_mock_message_router.html#a821c1e51d3ed513d58a60cb315bfd659">MOCK_METHOD1</a>(setObserver, void(std::shared_ptr&lt; acl::MessageRouterObserverInterface &gt; observer))</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1test_1_1_mock_message_router.html">alexaClientSDK::registrationManager::test::MockMessageRouter</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1test_1_1_mock_message_router.html#a654869bb9d3be06fbff9d20770cdb7ce">MockMessageRouter</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1test_1_1_mock_message_router.html">alexaClientSDK::registrationManager::test::MockMessageRouter</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a745cd4dc404db52f7d0afbf838454fac">name</a>() const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#aae7174ed932ae1413460255238c4422b">RequiresShutdown</a>(const std::string &amp;name)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_sender_interface.html#a0b54b4c7edf3df0c79f1897d6273c62d">sendMessage</a>(std::shared_ptr&lt; avs::MessageRequest &gt; request)=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_sender_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::MessageSenderInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router_interface.html#a861762a2efccd0c8e1048a192bd2865d">setAVSEndpoint</a>(const std::string &amp;avsEndpoint)=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router_interface.html">alexaClientSDK::acl::MessageRouterInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router_interface.html#a6270f703b59e3d2c06221c2c4909ef2c">setObserver</a>(std::shared_ptr&lt; MessageRouterObserverInterface &gt; observer)=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router_interface.html">alexaClientSDK::acl::MessageRouterInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a350a147e52eb3ad3c1326e6639861066">shutdown</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_sender_interface.html#ac6c6b420f2174c76149f3c8d4294714e">~MessageSenderInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_sender_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::MessageSenderInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a649b80d77e4e6f66e218ee3bfc71823b">~RequiresShutdown</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.6.0 - Copyright 2016-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
